# -*- coding: utf-8 -*-
from openerp import models, fields

class PrintEnginePrinter(models.Model):
    _name = 'print.engine.printer'

    name = fields.Char(string='Impresora', size=35, required=True)
    is_default = fields.Boolean(string='Por defecto', default=False)
    prints_success_count = fields.Integer(string='Impresiones con éxito', default=0)
    prints_failed_count = fields.Integer(string='Impresiones fallidas', default=0)
    socket_id = fields.Many2one(comodel_name='print.engine.socket')
